VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
StringToken Class Reference
Inheritance diagram for StringToken:

## Public Types
enum | Type { kString , kAdd , kSubtract , kMulitply , kDivide , kOpenParenthesis , kCloseParenthesis , kResult }

## Public Member Functions
| StringToken (const std::string &str)
| StringToken (const StringToken &token)=default
| StringToken (Type type, double value=0)

## Public Attributes
Type | type
double | result

## Member Enumeration Documentation

## ◆ Type

enum Type

Enumerator
kString |
kAdd |
kSubtract |
kMulitply |
kDivide |
kOpenParenthesis |
kCloseParenthesis |
kResult |

## Constructor & Destructor Documentation

## ◆ StringToken() [1/3]

StringToken | ( | const std::string & | str | ) |
| inline explicit

## ◆ StringToken() [2/3]

StringToken | ( | const StringToken & | token | ) |
| default

## ◆ StringToken() [3/3]

StringToken | ( | Type | type,
|  | double | value = 0 )
| inline

## Member Data Documentation

## ◆ result

double result

## ◆ type

Type type

The documentation for this class was generated from the following file:

- uidescription.cpp